### Method

# Gegl Color get_components

#### Declaration [src]

    gdouble*
    gegl_color_get_components (
      GeglColor* color,
      GValue* format,
      gint* components_length
    )

#### Description [src]

Get the component values of the color in `format`.

#### Parameters

`format`

  Type: `GValue`

  A Babl pointer.

  The data is owned by the caller of the method.

`components_length`

  Type: `gint*`

  The length of the returned buffer.

  The argument will be set by the function.

#### Return value

Type: An array of `gdouble`

The color components If value format not supported return NULL and components_length set to 0.

The length of the array is in the `components_length` argument.
The caller of the method takes ownership of the data, and is responsible for freeing it.